
Figure - Bug #118485
【IOVDEV-32362】【内部】【VC1】【0100】【台架】【EE环境】【副屏】中控设置副屏熄屏后，副屏点亮
后，中控端“仅副驾屏”还高亮显示
2023-06-03 12:06 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-03

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.c103  中控：03.02.0086.C102

Resolution: -- Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-07-06

Test Type: ST Root cause: 屏幕状态上报，时序问题导致中控的副屏屏幕状态显示异常��

Description

【环境信息】EE环境

【问题出现时间】：20230602  13点43分（ 第235次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音，无第三方应用，未开启开发者模式）

1.中控设置-显示-熄屏模式中，点击“仅副驾屏”

2.副屏熄屏的时候立即触屏点亮

3.重复步骤1和2多次

【实际结果】

副屏亮屏，但中控设置中显示“仅副驾屏”高亮状态

【期望结果】

副屏亮屏，中控设置中显示“仅副驾屏”为非高亮状态

【备注】：

偶发副屏是熄屏状态，中控设置中显示“仅副驾屏”为非高亮状态--13点35分

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，附件为副屏的log

视频地址：https://ofs.human-horizons.com/#/download/index/9cBQ0%2BzcPJU%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0086.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-03 12:07 - CDTS_Test 吴诗雨

副屏控制中心点击“熄屏”然后立即触屏点亮，也可以复现副屏亮屏而中控端显示“仅副驾屏”高亮的现象。13点58分副屏控制中心熄屏立即点亮后而

中控端显示“仅副驾屏”高亮.7z
#2 - 2023-06-05 14:56 - CD FW-程天颖

- Status changed from New to ASSIGNED

■ Current conclusion

已分析出问题产生原因

■ My analysis

06-02 13:43:34.490  2087  2087 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":0}.

06-02 13:43:34.683  2087  2087 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":1}.

06-02 13:43:34.687  2076 14140 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_SettingService',

destService='IDCM_MultiScreenService', messageType='0', uuid='1685684614683563820',

payloadData={"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1685684614683563820,"methodName":"reportScreen

Display","parameters":{"ScreenDisplay":1}}}

06-02 13:43:35.521  2076 14132 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_SettingService',

destService='IDCM_MultiScreenService', messageType='0', uuid='1685684614490833195',

payloadData={"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1685684614490833195,"methodName":"reportScreen

Display","parameters":{"ScreenDisplay":0}}}

最后两次息屏和亮屏操作的时间间隔太短，多线程任务执行出现了时序问题，后来的任务比先来的任务先执行完，导致中控显示的状态异常

■ Next action

寻找方案

#3 - 2023-06-07 19:38 - CD FW-程天颖

- Root cause set to 屏幕状态上报，时序问题导致中控的副屏屏幕状态显示异常

■ Current conclusion

已对对消息发送进行了串行处理，正在编译vb

■ My analysis

屏幕状态上报，时序问题导致中控的副屏屏幕状态显示异常

■ Next action

等待vb编译完成，使用vb测试

http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/907/console

#4 - 2023-06-08 11:31 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

- Need_Info changed from -- to TEST

Hi,诗雨，vb编译已完成，帮忙使用vb测试一下bug是否已解决，谢谢

Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230607/202306071136-907/

#5 - 2023-06-08 13:47 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CDTS_Test 吴诗雨

#6 - 2023-06-25 15:58 - CD FW-廖涛

新的 VB 地址是：ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230625/202306251154-4566
麻烦帮忙验证下。

#7 - 2023-06-25 16:53 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-廖涛

VB验证失败，出现以上情况

#8 - 2023-06-25 20:54 - CD FW-廖涛

■ Current conclusion

从出现问题的日志看，副屏已将屏幕状态上报，但中控没有更新中控息屏“仅副驾屏”的高亮状态，需要联系中控的开发处理；

■ Next action

联系中控开发确认高亮状态；

#9 - 2023-07-06 14:32 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Need_Info changed from TEST to --

- Degrated changed from -- to No

- Fixed Version set to 2023-07-06

■ Current conclusion

副屏消息处理时序问题已解决，副屏使用最新的 DB 版本，中控仅副驾屏息屏按钮状态显示问题使用最新的中控版本 3098 进行验证。

■ Next action

测试验证。

#10 - 2023-07-27 15:51 - CDTS_TEST 王成

在中控106、副屏0727DB上验证20次，验证通过

#11 - 2023-07-27 16:41 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

- Assignee changed from CDTS_Test 吴诗雨 to CD TEST-方永红

#12 - 2023-07-27 16:55 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

13点43分副屏亮屏但中控端显示“仅副驾屏”高亮.mp4 15.3 MB 2023-06-03 CDTS_Test 吴诗雨

IOVDEV-32362.zip 453 KB 2023-06-03 CDTS_Test 吴诗雨
